Uploaded image for project: 'PuppetDB'
  1. PuppetDB
  2. PDB-962

Change defaults for `ssl-protocols` for stable branch

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: PDB 2.2.1
    • Fix Version/s: PDB 2.2.2
    • Component/s: None
    • Labels:
      None
    • Template:
    • Story Points:
      2
    • Sprint:
      PuppetDB 2014-10-22

      Description

      So we have this problem now were we need to disable SSLv3, but the defaults are to use the Java defaults.

      We should change our defaults for stable, and this should in theory happen in TK, however we are stuck an an older revision.

      We should be intercepting the configuration first (like we do for certificate-whitelist) and changing the defaults for a user.

      We should be modifying the documentation also.

      For extra points, throw an error or warning when someone uses something old like SSLv3.

        Attachments

          Activity

            jsd-sla-details-panel

              People

              • Assignee:
                ryan.senior Ryan Senior
                Reporter:
                ken Ken Barber
              • Votes:
                0 Vote for this issue
                Watchers:
                1 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: